"""
Prints employees' names.

Demonstrates a command-line argument, exiting, and a CSV reader.
"""

import csv
import sys

#check uses supplies a filename
if len(sys.argv) != 2:
    sys.exit('Correct usage: python employees1.py csv-file')
filename = sys.argv[1]

#print every employee first name followed by last name
with open (filename, 'r') as file:
    reader = csv.reader(file)
    next(reader)
    for row in reader:
        print (row[2], row[1])
