"""
Prints employees' names.

Demonstrates a DictReader.
"""

import csv
import sys

#check uses supplies a filename
if len(sys.argv) != 2:
    sys.exit('Correct usage: python employees1.py csv-file')
filename = sys.argv[1]

#print every employee first name followed by last name
with open (filename, 'r') as file:
    reader = csv.DictReader(file)
    for row in reader:
        print (row['FirstName'], row['LastName'])
