#file wordfrequency.py

import sys
from re import split

if len(sys.argv) != 2:
    sys.exit("Sorry, correct usage is python uniquewords.py inputFileName")

word_set = set()     #an empty set that will accumulate all unique words in the input file

with open(sys.argv[1], "r") as infile:
    for line in infile :
        line = line.strip()    # removes beginning and ending whitespace
        parts = split ("[^a-zA-Z]+", line)    # take advantage of "regular expressions"
        for word in parts:
            if len(word) > 0:
                word = word.upper()
                word_set.add(word)
print (word_set)

